Bug 1258037 - docker 1.8 fails to 'docker build' FROM a fedora image
Summary: docker 1.8 fails to 'docker build' FROM a fedora image
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: docker
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Daniel Walsh
QA Contact: Luwen Su
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-28 17:55 UTC by Adam Miller
Modified: 2019-03-06 01:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-28 17:36:38 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Adam Miller 2015-08-28 17:55:07 UTC
Using the docker 1.8 build from lsm5 available in the virt7-docker-common-candidate (https://wiki.centos.org/Cloud/Docker), I am unable to build docker images.

lsm5 requested I file a BZ here.

[root@losbs ~]# rpm -q docker
docker-1.8.1-5.git32b8b25.el7.x86_64

[root@losbs ~]# git clone https://github.com/maxamillion/atomic-reactor-dockerfile-test.git
Cloning into 'atomic-reactor-dockerfile-test'...
remote: Counting objects: 21, done.
remote: Total 21 (delta 0), reused 0 (delta 0), pack-reused 21
Unpacking objects: 100% (21/21), done.

[root@losbs ~]# cd atomic-reactor-dockerfile-test/

[root@losbs atomic-reactor-dockerfile-test]# docker build .
Sending build context to Docker daemon   105 kB
Step 0 : FROM fedora:latest
 ---> ded7cd95e059
Step 1 : MAINTAINER http://fedoraproject.org/wiki/Cloud
 ---> Using cache
 ---> 54f19cc61598
Step 2 : RUN dnf -y update && dnf clean all
 ---> Running in c1c819bca329
Last metadata expiration check performed 0:00:18 ago on Fri Aug 28 16:35:05 2015.
Dependencies resolved.
================================================================================
 Package                     Arch   Version                       Repository
                                                                           Size
================================================================================
Installing:
 elfutils-default-yama-scope noarch 0.163-3.fc22                  updates  37 k
 python-pip                  noarch 6.0.8-1.fc22                  fedora  1.7 M
 python-setuptools           noarch 17.1.1-3.fc22                 updates 425 k
Upgrading:
 audit-libs                  x86_64 2.4.4-1.fc22                  updates  94 k
 bash                        x86_64 4.3.39-6.fc22                 updates 1.6 M
 bash-completion             noarch 1:2.1-7.20150513git1950590.fc22
                                                                  updates 255 k
 coreutils                   x86_64 8.23-10.fc22                  updates 2.9 M
 curl                        x86_64 7.40.0-5.fc22                 updates 280 k
 cyrus-sasl-lib              x86_64 2.1.26-23.fc22                updates 158 k
 dbus                        x86_64 1:1.8.20-1.fc22               updates 355 k
 dbus-libs                   x86_64 1:1.8.20-1.fc22               updates 168 k
 dnf                         noarch 1.1.0-2.fc22                  updates 243 k
 dnf-conf                    noarch 1.1.0-2.fc22                  updates  84 k
 dnf-yum                     noarch 1.1.0-2.fc22                  updates  77 k
 elfutils-libelf             x86_64 0.163-3.fc22                  updates 207 k
 elfutils-libs               x86_64 0.163-3.fc22                  updates 269 k
 file-libs                   x86_64 5.22-4.fc22                   updates 423 k
 glibc                       x86_64 2.21-7.fc22                   updates 3.5 M
 glibc-common                x86_64 2.21-7.fc22                   updates  11 M
 gnupg2                      x86_64 2.1.7-1.fc22                  updates 1.8 M
 gzip                        x86_64 1.6-8.fc22                    updates 155 k
 hawkey                      x86_64 0.6.0-1.fc22                  updates  90 k
 kmod                        x86_64 21-1.fc22                     updates 110 k
 kmod-libs                   x86_64 21-1.fc22                     updates  61 k
 krb5-libs                   x86_64 1.13.2-5.fc22                 updates 837 k
 libblkid                    x86_64 2.26.2-3.fc22                 updates 180 k
 libcap-ng                   x86_64 0.7.5-2.fc22                  updates  29 k
 libcurl                     x86_64 7.40.0-5.fc22                 updates 249 k
 libdb                       x86_64 5.3.28-12.fc22                updates 736 k
 libdb-utils                 x86_64 5.3.28-12.fc22                updates 108 k
 libfdisk                    x86_64 2.26.2-3.fc22                 updates 217 k
 libgcc                      x86_64 5.1.1-4.fc22                  updates  82 k
 libidn                      x86_64 1.32-1.fc22                   updates 228 k
 libmount                    x86_64 2.26.2-3.fc22                 updates 196 k
 librepo                     x86_64 1.7.16-1.fc22                 updates  80 k
 libreport-filesystem        x86_64 2.6.2-1.fc22                  updates  44 k
 libseccomp                  x86_64 2.2.3-0.fc22                  updates  55 k
 libselinux                  x86_64 2.3-10.fc22                   updates 149 k
 libsmartcols                x86_64 2.26.2-3.fc22                 updates 138 k
 libsolv                     x86_64 0.6.11-2.fc22                 updates 333 k
 libstdc++                   x86_64 5.1.1-4.fc22                  updates 418 k
 libuser                     x86_64 0.62-1.fc22                   updates 398 k
 libuuid                     x86_64 2.26.2-3.fc22                 updates  79 k
 nss                         x86_64 3.20.0-1.0.fc22               updates 859 k
 nss-softokn                 x86_64 3.20.0-1.0.fc22               updates 308 k
 nss-softokn-freebl          x86_64 3.20.0-1.0.fc22               updates 207 k
 nss-sysinit                 x86_64 3.20.0-1.0.fc22               updates  55 k
 nss-tools                   x86_64 3.20.0-1.0.fc22               updates 488 k
 nss-util                    x86_64 3.20.0-1.0.fc22               updates  80 k
 openssl-libs                x86_64 1:1.0.1k-12.fc22              updates 941 k
 p11-kit                     x86_64 0.23.1-2.fc22                 updates 150 k
 p11-kit-trust               x86_64 0.23.1-2.fc22                 updates 130 k
 pam                         x86_64 1.1.8-19.fc22                 updates 726 k
 pcre                        x86_64 8.37-3.fc22                   updates 486 k
 pinentry                    x86_64 0.9.2-1.fc22                  updates  71 k
 python                      x86_64 2.7.10-4.fc22                 updates  93 k
 python-dnf                  noarch 1.1.0-2.fc22                  updates 437 k
 python-hawkey               x86_64 0.6.0-1.fc22                  updates  76 k
 python-librepo              x86_64 1.7.16-1.fc22                 updates  53 k
 python-libs                 x86_64 2.7.10-4.fc22                 updates 5.8 M
 rpm                         x86_64 4.12.0.1-12.fc22              updates 501 k
 rpm-build-libs              x86_64 4.12.0.1-12.fc22              updates 111 k
 rpm-libs                    x86_64 4.12.0.1-12.fc22              updates 276 k
 rpm-plugin-selinux          x86_64 4.12.0.1-12.fc22              updates  49 k
 rpm-plugin-systemd-inhibit  x86_64 4.12.0.1-12.fc22              updates  49 k
 rpm-python                  x86_64 4.12.0.1-12.fc22              updates  91 k
 shared-mime-info            x86_64 1.4-6.fc22                    updates 292 k
 sqlite                      x86_64 3.8.10.2-1.fc22               updates 465 k
 systemd                     x86_64 219-21.fc22                   updates 5.9 M
 systemd-libs                x86_64 219-21.fc22                   updates 351 k
 tzdata                      noarch 2015f-1.fc22                  updates 421 k
 util-linux                  x86_64 2.26.2-3.fc22                 updates 2.0 M

Transaction Summary
================================================================================
Install   3 Packages
Upgrade  69 Packages

Total download size: 52 M
Downloading Packages:
/usr/share/man/man5/libaudit.conf.5.gz: No such file or directory
cannot reconstruct rpm from disk files
/usr/share/doc/bash-completion/AUTHORS: No such file or directory
cannot reconstruct rpm from disk files
/usr/share/locale/cs/LC_MESSAGES/bash.mo: No such file or directory
cannot reconstruct rpm from disk files
/usr/share/doc/cyrus-sasl-lib/AUTHORS: No such file or directory
cannot reconstruct rpm from disk files
/usr/share/doc/coreutils/ABOUT-NLS: No such file or directory
cannot reconstruct rpm from disk files
/usr/share/doc/python-dnf/AUTHORS: No such file or directory
cannot reconstruct rpm from disk files
/usr/share/doc/file-libs/ChangeLog: No such file or directory
cannot reconstruct rpm from disk files
/usr/share/doc/krb5-libs/NOTICE: No such file or directory
cannot reconstruct rpm from disk files
/usr/share/doc/glibc/NEWS: No such file or directory
cannot reconstruct rpm from disk files
/usr/share/locale/fi/LC_MESSAGES/util-linux.mo: No such file or directory
cannot reconstruct rpm from disk files
/usr/share/doc/libsolv/BUGS: No such file or directory
cannot reconstruct rpm from disk files
/usr/share/man/man5/cert8.db.5.gz: No such file or directory
cannot reconstruct rpm from disk files
/usr/share/doc/p11-kit/AUTHORS: No such file or directory
cannot reconstruct rpm from disk files
/usr/share/doc/pam/html/sag-pam_deny.html: No such file or directory
cannot reconstruct rpm from disk files
/usr/share/locale/de/LC_MESSAGES/rpm.mo: No such file or directory
cannot reconstruct rpm from disk files
/usr/share/doc/pcre/AUTHORS: No such file or directory
cannot reconstruct rpm from disk files
/usr/share/doc/shared-mime-info/shared-mime-info-spec.xml: No such file or directory
cannot reconstruct rpm from disk files
/usr/share/doc/sqlite/README.md: No such file or directory
cannot reconstruct rpm from disk files
/usr/share/man/man8/udevadm.8.gz: No such file or directory
cannot reconstruct rpm from disk files
/usr/share/doc/python-libs/README: No such file or directory
cannot reconstruct rpm from disk files
bash-4.3.39-6.fc22.x86_64: Delta RPM rebuild failed
glibc-2.21-7.fc22.x86_64: Delta RPM rebuild failed
krb5-libs-1.13.2-5.fc22.x86_64: Delta RPM rebuild failed
python-libs-2.7.10-4.fc22.x86_64: Delta RPM rebuild failed
systemd-219-21.fc22.x86_64: Delta RPM rebuild failed
audit-libs-2.4.4-1.fc22.x86_64: Delta RPM rebuild failed
coreutils-8.23-10.fc22.x86_64: Delta RPM rebuild failed
p11-kit-0.23.1-2.fc22.x86_64: Delta RPM rebuild failed
rpm-4.12.0.1-12.fc22.x86_64: Delta RPM rebuild failed
shared-mime-info-1.4-6.fc22.x86_64: Delta RPM rebuild failed
pcre-8.37-3.fc22.x86_64: Delta RPM rebuild failed
bash-completion-1:2.1-7.20150513git1950590.fc22.noarch: Delta RPM rebuild failed
pam-1.1.8-19.fc22.x86_64: Delta RPM rebuild failed
util-linux-2.26.2-3.fc22.x86_64: Delta RPM rebuild failed
python-dnf-1.1.0-2.fc22.noarch: Delta RPM rebuild failed
cyrus-sasl-lib-2.1.26-23.fc22.x86_64: Delta RPM rebuild failed
file-libs-5.22-4.fc22.x86_64: Delta RPM rebuild failed
sqlite-3.8.10.2-1.fc22.x86_64: Delta RPM rebuild failed
libsolv-0.6.11-2.fc22.x86_64: Delta RPM rebuild failed
nss-3.20.0-1.0.fc22.x86_64: Delta RPM rebuild failed
--------------------------------------------------------------------------------
Total                                           1.7 MB/s |  57 MB     00:33
Delta RPMs reduced 51.6 MB of updates to 57.4 MB (-11.1% saved)
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Upgrading   : libgcc-5.1.1-4.fc22.x86_64                                1/141
warning: Unable to get systemd shutdown inhibition lock
  Upgrading   : tzdata-2015f-1.fc22.noarch                                2/141
  Upgrading   : bash-4.3.39-6.fc22.x86_64                                 3/141
  Upgrading   : nss-softokn-freebl-3.20.0-1.0.fc22.x86_64                 4/141
  Upgrading   : glibc-common-2.21-7.fc22.x86_64                           5/141
  Upgrading   : glibc-2.21-7.fc22.x86_64                                  6/141
  Upgrading   : libstdc++-5.1.1-4.fc22.x86_64                             7/141
  Upgrading   : pcre-8.37-3.fc22.x86_64                                   8/141
  Upgrading   : libselinux-2.3-10.fc22.x86_64                             9/141
  Upgrading   : coreutils-8.23-10.fc22.x86_64                            10/141
  Upgrading   : openssl-libs-1:1.0.1k-12.fc22.x86_64                     11/141
  Upgrading   : krb5-libs-1.13.2-5.fc22.x86_64                           12/141
  Upgrading   : libdb-5.3.28-12.fc22.x86_64                              13/141
  Upgrading   : elfutils-libelf-0.163-3.fc22.x86_64                      14/141
  Upgrading   : nss-util-3.20.0-1.0.fc22.x86_64                          15/141
  Upgrading   : audit-libs-2.4.4-1.fc22.x86_64                           16/141
  Upgrading   : pam-1.1.8-19.fc22.x86_64                                 17/141
  Upgrading   : libuuid-2.26.2-3.fc22.x86_64                             18/141
  Upgrading   : libblkid-2.26.2-3.fc22.x86_64                            19/141
  Upgrading   : libmount-2.26.2-3.fc22.x86_64                            20/141
  Upgrading   : libsolv-0.6.11-2.fc22.x86_64                             21/141
  Upgrading   : dbus-libs-1:1.8.20-1.fc22.x86_64                         22/141
  Upgrading   : kmod-libs-21-1.fc22.x86_64                               23/141
  Upgrading   : libcap-ng-0.7.5-2.fc22.x86_64                            24/141
  Upgrading   : libidn-1.32-1.fc22.x86_64                                25/141
  Upgrading   : sqlite-3.8.10.2-1.fc22.x86_64                            26/141
  Upgrading   : python-libs-2.7.10-4.fc22.x86_64                         27/141
  Installing  : python-setuptools-17.1.1-3.fc22.noarch                   28/141
  Upgrading   : python-2.7.10-4.fc22.x86_64                              29/141
  Installing  : python-pip-6.0.8-1.fc22.noarch                           30/141
  Upgrading   : nss-softokn-3.20.0-1.0.fc22.x86_64                       31/141
  Upgrading   : nss-3.20.0-1.0.fc22.x86_64                               32/141
  Upgrading   : nss-sysinit-3.20.0-1.0.fc22.x86_64                       33/141
  Upgrading   : libcurl-7.40.0-5.fc22.x86_64                             34/141
  Upgrading   : curl-7.40.0-5.fc22.x86_64                                35/141
  Upgrading   : librepo-1.7.16-1.fc22.x86_64                             36/141
  Upgrading   : python-librepo-1.7.16-1.fc22.x86_64                      37/141
  Upgrading   : kmod-21-1.fc22.x86_64                                    38/141
  Upgrading   : hawkey-0.6.0-1.fc22.x86_64                               39/141
  Upgrading   : python-hawkey-0.6.0-1.fc22.x86_64                        40/141
  Upgrading   : libfdisk-2.26.2-3.fc22.x86_64                            41/141
  Upgrading   : libuser-0.62-1.fc22.x86_64                               42/141
  Upgrading   : libdb-utils-5.3.28-12.fc22.x86_64                        43/141
  Upgrading   : rpm-plugin-selinux-4.12.0.1-12.fc22.x86_64               44/141
  Upgrading   : rpm-libs-4.12.0.1-12.fc22.x86_64                         45/141
  Upgrading   : rpm-4.12.0.1-12.fc22.x86_64                              46/141
  Upgrading   : rpm-plugin-systemd-inhibit-4.12.0.1-12.fc22.x86_64       47/141
  Upgrading   : file-libs-5.22-4.fc22.x86_64                             48/141
  Upgrading   : libsmartcols-2.26.2-3.fc22.x86_64                        49/141
  Upgrading   : libseccomp-2.2.3-0.fc22.x86_64                           50/141
  Upgrading   : p11-kit-0.23.1-2.fc22.x86_64                             51/141
  Upgrading   : pinentry-0.9.2-1.fc22.x86_64                             52/141
  Upgrading   : gnupg2-2.1.7-1.fc22.x86_64                               53/141
  Upgrading   : rpm-build-libs-4.12.0.1-12.fc22.x86_64                   54/141
  Upgrading   : rpm-python-4.12.0.1-12.fc22.x86_64                       55/141
  Installing  : elfutils-default-yama-scope-0.163-3.fc22.noarch          56/141
  Upgrading   : elfutils-libs-0.163-3.fc22.x86_64                        57/141
  Upgrading   : systemd-libs-219-21.fc22.x86_64                          58/141
  Upgrading   : systemd-219-21.fc22.x86_64                               59/141
  Upgrading   : dbus-1:1.8.20-1.fc22.x86_64                              60/141
  Upgrading   : libreport-filesystem-2.6.2-1.fc22.x86_64                 61/141
  Upgrading   : dnf-conf-1.1.0-2.fc22.noarch                             62/141
  Upgrading   : python-dnf-1.1.0-2.fc22.noarch                           63/141
  Upgrading   : dnf-1.1.0-2.fc22.noarch                                  64/141
  Upgrading   : dnf-yum-1.1.0-2.fc22.noarch                              65/141
  Upgrading   : util-linux-2.26.2-3.fc22.x86_64                          66/141
  Upgrading   : p11-kit-trust-0.23.1-2.fc22.x86_64                       67/141
  Upgrading   : nss-tools-3.20.0-1.0.fc22.x86_64                         68/141
  Upgrading   : cyrus-sasl-lib-2.1.26-23.fc22.x86_64                     69/141
  Upgrading   : gzip-1.6-8.fc22.x86_64                                   70/141
  Upgrading   : shared-mime-info-1.4-6.fc22.x86_64                       71/141
  Upgrading   : bash-completion-1:2.1-7.20150513git1950590.fc22.noarc    72/141
  Cleanup     : dnf-yum-1.0.0-1.fc22.noarch                              73/141
  Cleanup     : dnf-1.0.0-1.fc22.noarch                                  74/141
  Cleanup     : python-dnf-1.0.0-1.fc22.noarch                           75/141
  Cleanup     : python-hawkey-0.5.6-1.fc22.x86_64                        76/141
  Cleanup     : python-librepo-1.7.13-1.fc22.x86_64                      77/141
  Cleanup     : librepo-1.7.13-1.fc22.x86_64                             78/141
  Cleanup     : hawkey-0.5.6-1.fc22.x86_64                               79/141
  Cleanup     : libsolv-0.6.10-1.fc22.x86_64                             80/141
  Cleanup     : dnf-conf-1.0.0-1.fc22.noarch                             81/141
  Cleanup     : bash-completion-1:2.1-6.20141110git52d8316.fc22.noarc    82/141
  Cleanup     : dbus-1:1.8.16-1.fc22.x86_64                              83/141
  Cleanup     : systemd-219-13.fc22.x86_64                               84/141
  Cleanup     : util-linux-2.26.2-1.fc22.x86_64                          85/141
  Cleanup     : rpm-plugin-systemd-inhibit-4.12.0.1-9.fc22.x86_64        86/141
  Cleanup     : rpm-python-4.12.0.1-9.fc22.x86_64                        87/141
  Cleanup     : rpm-build-libs-4.12.0.1-9.fc22.x86_64                    88/141
  Cleanup     : rpm-plugin-selinux-4.12.0.1-9.fc22.x86_64                89/141
  Cleanup     : rpm-libs-4.12.0.1-9.fc22.x86_64                          90/141
  Cleanup     : rpm-4.12.0.1-9.fc22.x86_64                               91/141
  Cleanup     : curl-7.40.0-3.fc22.x86_64                                92/141
  Cleanup     : libcurl-7.40.0-3.fc22.x86_64                             93/141
  Cleanup     : systemd-libs-219-13.fc22.x86_64                          94/141
  Cleanup     : nss-tools-3.18.0-1.fc22.x86_64                           95/141
  Cleanup     : nss-sysinit-3.18.0-1.fc22.x86_64                         96/141
  Cleanup     : nss-3.18.0-1.fc22.x86_64                                 97/141
  Cleanup     : nss-softokn-3.18.0-1.fc22.x86_64                         98/141
  Cleanup     : p11-kit-trust-0.23.1-1.fc22.x86_64                       99/141
  Cleanup     : elfutils-libs-0.161-6.fc22.x86_64                       100/141
  Cleanup     : libmount-2.26.2-1.fc22.x86_64                           101/141
  Cleanup     : python-2.7.9-6.fc22.x86_64                              102/141
  Cleanup     : python-libs-2.7.9-6.fc22.x86_64                         103/141
  Cleanup     : libfdisk-2.26.2-1.fc22.x86_64                           104/141
  Cleanup     : libblkid-2.26.2-1.fc22.x86_64                           105/141
  Cleanup     : libuser-0.60-6.fc22.x86_64                              106/141
  Cleanup     : pam-1.1.8-18.fc22.x86_64                                107/141
  Cleanup     : kmod-20-1.fc22.x86_64                                   108/141
  Cleanup     : gnupg2-2.1.2-2.fc22.x86_64                              109/141
  Cleanup     : kmod-libs-20-1.fc22.x86_64                              110/141
  Cleanup     : libdb-utils-5.3.28-9.fc22.x86_64                        111/141
  Cleanup     : shared-mime-info-1.4-2.fc22.x86_64                      112/141
  Cleanup     : gzip-1.6-6.fc22.x86_64                                  113/141
  Cleanup     : krb5-libs-1.13.1-3.fc22.x86_64                          114/141
  Cleanup     : coreutils-8.23-9.fc22.x86_64                            115/141
  Cleanup     : openssl-libs-1:1.0.1k-8.fc22.x86_64                     116/141
  Cleanup     : cyrus-sasl-lib-2.1.26-22.fc22.x86_64                    117/141
  Cleanup     : libreport-filesystem-2.5.1-1.fc22.x86_64                118/141
  Cleanup     : pinentry-0.9.1-1.fc22.x86_64                            119/141
  Cleanup     : libidn-1.29-3.fc22.x86_64                               120/141
  Cleanup     : libdb-5.3.28-9.fc22.x86_64                              121/141
  Cleanup     : audit-libs-2.4.2-1.fc22.x86_64                          122/141
  Cleanup     : libuuid-2.26.2-1.fc22.x86_64                            123/141
  Cleanup     : sqlite-3.8.9-1.fc22.x86_64                              124/141
  Cleanup     : elfutils-libelf-0.161-6.fc22.x86_64                     125/141
  Cleanup     : p11-kit-0.23.1-1.fc22.x86_64                            126/141
  Cleanup     : nss-util-3.18.0-1.fc22.x86_64                           127/141
  Cleanup     : file-libs-5.22-3.fc22.x86_64                            128/141
  Cleanup     : dbus-libs-1:1.8.16-1.fc22.x86_64                        129/141
  Cleanup     : libcap-ng-0.7.5-1.fc22.x86_64                           130/141
  Cleanup     : libsmartcols-2.26.2-1.fc22.x86_64                       131/141
  Cleanup     : libseccomp-2.2.0-0.fc22.x86_64                          132/141
  Cleanup     : bash-4.3.33-2.fc22.x86_64                               133/141
  Cleanup     : libstdc++-5.1.1-1.fc22.x86_64                           134/141
  Cleanup     : pcre-8.37-1.fc22.x86_64                                 135/141
  Cleanup     : libselinux-2.3-9.fc22.x86_64                            136/141
  Cleanup     : glibc-common-2.21-5.fc22.x86_64                         137/141
  Cleanup     : nss-softokn-freebl-3.18.0-1.fc22.x86_64                 138/141
  Cleanup     : glibc-2.21-5.fc22.x86_64                                139/141
  Cleanup     : tzdata-2015d-1.fc22.noarch                              140/141
  Cleanup     : libgcc-5.1.1-1.fc22.x86_64                              141/141
  Verifying   : elfutils-default-yama-scope-0.163-3.fc22.noarch           1/141
  Verifying   : python-pip-6.0.8-1.fc22.noarch                            2/141
  Verifying   : python-setuptools-17.1.1-3.fc22.noarch                    3/141
  Verifying   : audit-libs-2.4.4-1.fc22.x86_64                            4/141
  Verifying   : bash-4.3.39-6.fc22.x86_64                                 5/141
  Verifying   : bash-completion-1:2.1-7.20150513git1950590.fc22.noarc     6/141
  Verifying   : coreutils-8.23-10.fc22.x86_64                             7/141
  Verifying   : curl-7.40.0-5.fc22.x86_64                                 8/141
  Verifying   : libcurl-7.40.0-5.fc22.x86_64                              9/141
  Verifying   : cyrus-sasl-lib-2.1.26-23.fc22.x86_64                     10/141
  Verifying   : dbus-1:1.8.20-1.fc22.x86_64                              11/141
  Verifying   : dbus-libs-1:1.8.20-1.fc22.x86_64                         12/141
  Verifying   : dnf-1.1.0-2.fc22.noarch                                  13/141
  Verifying   : python-dnf-1.1.0-2.fc22.noarch                           14/141
  Verifying   : dnf-conf-1.1.0-2.fc22.noarch                             15/141
  Verifying   : python-hawkey-0.6.0-1.fc22.x86_64                        16/141
  Verifying   : python-librepo-1.7.16-1.fc22.x86_64                      17/141
  Verifying   : dnf-yum-1.1.0-2.fc22.noarch                              18/141
  Verifying   : hawkey-0.6.0-1.fc22.x86_64                               19/141
  Verifying   : librepo-1.7.16-1.fc22.x86_64                             20/141
  Verifying   : elfutils-libelf-0.163-3.fc22.x86_64                      21/141
  Verifying   : elfutils-libs-0.163-3.fc22.x86_64                        22/141
  Verifying   : file-libs-5.22-4.fc22.x86_64                             23/141
  Verifying   : glibc-2.21-7.fc22.x86_64                                 24/141
  Verifying   : glibc-common-2.21-7.fc22.x86_64                          25/141
  Verifying   : gnupg2-2.1.7-1.fc22.x86_64                               26/141
  Verifying   : gzip-1.6-8.fc22.x86_64                                   27/141
  Verifying   : kmod-21-1.fc22.x86_64                                    28/141
  Verifying   : kmod-libs-21-1.fc22.x86_64                               29/141
  Verifying   : krb5-libs-1.13.2-5.fc22.x86_64                           30/141
  Verifying   : libblkid-2.26.2-3.fc22.x86_64                            31/141
  Verifying   : libuuid-2.26.2-3.fc22.x86_64                             32/141
  Verifying   : libmount-2.26.2-3.fc22.x86_64                            33/141
  Verifying   : util-linux-2.26.2-3.fc22.x86_64                          34/141
  Verifying   : libfdisk-2.26.2-3.fc22.x86_64                            35/141
  Verifying   : libsmartcols-2.26.2-3.fc22.x86_64                        36/141
  Verifying   : libcap-ng-0.7.5-2.fc22.x86_64                            37/141
  Verifying   : libdb-5.3.28-12.fc22.x86_64                              38/141
  Verifying   : libdb-utils-5.3.28-12.fc22.x86_64                        39/141
  Verifying   : libgcc-5.1.1-4.fc22.x86_64                               40/141
  Verifying   : libidn-1.32-1.fc22.x86_64                                41/141
  Verifying   : libreport-filesystem-2.6.2-1.fc22.x86_64                 42/141
  Verifying   : libseccomp-2.2.3-0.fc22.x86_64                           43/141
  Verifying   : libselinux-2.3-10.fc22.x86_64                            44/141
  Verifying   : libsolv-0.6.11-2.fc22.x86_64                             45/141
  Verifying   : libstdc++-5.1.1-4.fc22.x86_64                            46/141
  Verifying   : libuser-0.62-1.fc22.x86_64                               47/141
  Verifying   : nss-3.20.0-1.0.fc22.x86_64                               48/141
  Verifying   : nss-softokn-3.20.0-1.0.fc22.x86_64                       49/141
  Verifying   : nss-util-3.20.0-1.0.fc22.x86_64                          50/141
  Verifying   : nss-softokn-freebl-3.20.0-1.0.fc22.x86_64                51/141
  Verifying   : nss-tools-3.20.0-1.0.fc22.x86_64                         52/141
  Verifying   : nss-sysinit-3.20.0-1.0.fc22.x86_64                       53/141
  Verifying   : openssl-libs-1:1.0.1k-12.fc22.x86_64                     54/141
  Verifying   : p11-kit-0.23.1-2.fc22.x86_64                             55/141
  Verifying   : p11-kit-trust-0.23.1-2.fc22.x86_64                       56/141
  Verifying   : pam-1.1.8-19.fc22.x86_64                                 57/141
  Verifying   : pcre-8.37-3.fc22.x86_64                                  58/141
  Verifying   : pinentry-0.9.2-1.fc22.x86_64                             59/141
  Verifying   : python-2.7.10-4.fc22.x86_64                              60/141
  Verifying   : python-libs-2.7.10-4.fc22.x86_64                         61/141
  Verifying   : rpm-4.12.0.1-12.fc22.x86_64                              62/141
  Verifying   : rpm-python-4.12.0.1-12.fc22.x86_64                       63/141
  Verifying   : rpm-libs-4.12.0.1-12.fc22.x86_64                         64/141
  Verifying   : rpm-plugin-selinux-4.12.0.1-12.fc22.x86_64               65/141
  Verifying   : rpm-plugin-systemd-inhibit-4.12.0.1-12.fc22.x86_64       66/141
  Verifying   : rpm-build-libs-4.12.0.1-12.fc22.x86_64                   67/141
  Verifying   : shared-mime-info-1.4-6.fc22.x86_64                       68/141
  Verifying   : sqlite-3.8.10.2-1.fc22.x86_64                            69/141
  Verifying   : systemd-219-21.fc22.x86_64                               70/141
  Verifying   : systemd-libs-219-21.fc22.x86_64                          71/141
  Verifying   : tzdata-2015f-1.fc22.noarch                               72/141
  Verifying   : audit-libs-2.4.2-1.fc22.x86_64                           73/141
  Verifying   : bash-4.3.33-2.fc22.x86_64                                74/141
  Verifying   : bash-completion-1:2.1-6.20141110git52d8316.fc22.noarc    75/141
  Verifying   : coreutils-8.23-9.fc22.x86_64                             76/141
  Verifying   : curl-7.40.0-3.fc22.x86_64                                77/141
  Verifying   : cyrus-sasl-lib-2.1.26-22.fc22.x86_64                     78/141
  Verifying   : dbus-1:1.8.16-1.fc22.x86_64                              79/141
  Verifying   : dbus-libs-1:1.8.16-1.fc22.x86_64                         80/141
  Verifying   : dnf-1.0.0-1.fc22.noarch                                  81/141
  Verifying   : dnf-conf-1.0.0-1.fc22.noarch                             82/141
  Verifying   : dnf-yum-1.0.0-1.fc22.noarch                              83/141
  Verifying   : elfutils-libelf-0.161-6.fc22.x86_64                      84/141
  Verifying   : elfutils-libs-0.161-6.fc22.x86_64                        85/141
  Verifying   : file-libs-5.22-3.fc22.x86_64                             86/141
  Verifying   : glibc-2.21-5.fc22.x86_64                                 87/141
  Verifying   : glibc-common-2.21-5.fc22.x86_64                          88/141
  Verifying   : gnupg2-2.1.2-2.fc22.x86_64                               89/141
  Verifying   : gzip-1.6-6.fc22.x86_64                                   90/141
  Verifying   : hawkey-0.5.6-1.fc22.x86_64                               91/141
  Verifying   : kmod-20-1.fc22.x86_64                                    92/141
  Verifying   : kmod-libs-20-1.fc22.x86_64                               93/141
  Verifying   : krb5-libs-1.13.1-3.fc22.x86_64                           94/141
  Verifying   : libblkid-2.26.2-1.fc22.x86_64                            95/141
  Verifying   : libcap-ng-0.7.5-1.fc22.x86_64                            96/141
  Verifying   : libcurl-7.40.0-3.fc22.x86_64                             97/141
  Verifying   : libdb-5.3.28-9.fc22.x86_64                               98/141
  Verifying   : libdb-utils-5.3.28-9.fc22.x86_64                         99/141
  Verifying   : libfdisk-2.26.2-1.fc22.x86_64                           100/141
  Verifying   : libgcc-5.1.1-1.fc22.x86_64                              101/141
  Verifying   : libidn-1.29-3.fc22.x86_64                               102/141
  Verifying   : libmount-2.26.2-1.fc22.x86_64                           103/141
  Verifying   : librepo-1.7.13-1.fc22.x86_64                            104/141
  Verifying   : libreport-filesystem-2.5.1-1.fc22.x86_64                105/141
  Verifying   : libseccomp-2.2.0-0.fc22.x86_64                          106/141
  Verifying   : libselinux-2.3-9.fc22.x86_64                            107/141
  Verifying   : libsmartcols-2.26.2-1.fc22.x86_64                       108/141
  Verifying   : libsolv-0.6.10-1.fc22.x86_64                            109/141
  Verifying   : libstdc++-5.1.1-1.fc22.x86_64                           110/141
  Verifying   : libuser-0.60-6.fc22.x86_64                              111/141
  Verifying   : libuuid-2.26.2-1.fc22.x86_64                            112/141
  Verifying   : nss-3.18.0-1.fc22.x86_64                                113/141
  Verifying   : nss-softokn-3.18.0-1.fc22.x86_64                        114/141
  Verifying   : nss-softokn-freebl-3.18.0-1.fc22.x86_64                 115/141
  Verifying   : nss-sysinit-3.18.0-1.fc22.x86_64                        116/141
  Verifying   : nss-tools-3.18.0-1.fc22.x86_64                          117/141
  Verifying   : nss-util-3.18.0-1.fc22.x86_64                           118/141
  Verifying   : openssl-libs-1:1.0.1k-8.fc22.x86_64                     119/141
  Verifying   : p11-kit-0.23.1-1.fc22.x86_64                            120/141
  Verifying   : p11-kit-trust-0.23.1-1.fc22.x86_64                      121/141
  Verifying   : pam-1.1.8-18.fc22.x86_64                                122/141
  Verifying   : pcre-8.37-1.fc22.x86_64                                 123/141
  Verifying   : pinentry-0.9.1-1.fc22.x86_64                            124/141
  Verifying   : python-2.7.9-6.fc22.x86_64                              125/141
  Verifying   : python-dnf-1.0.0-1.fc22.noarch                          126/141
  Verifying   : python-hawkey-0.5.6-1.fc22.x86_64                       127/141
  Verifying   : python-librepo-1.7.13-1.fc22.x86_64                     128/141
  Verifying   : python-libs-2.7.9-6.fc22.x86_64                         129/141
  Verifying   : rpm-4.12.0.1-9.fc22.x86_64                              130/141
  Verifying   : rpm-build-libs-4.12.0.1-9.fc22.x86_64                   131/141
  Verifying   : rpm-libs-4.12.0.1-9.fc22.x86_64                         132/141
  Verifying   : rpm-plugin-selinux-4.12.0.1-9.fc22.x86_64               133/141
  Verifying   : rpm-plugin-systemd-inhibit-4.12.0.1-9.fc22.x86_64       134/141
  Verifying   : rpm-python-4.12.0.1-9.fc22.x86_64                       135/141
  Verifying   : shared-mime-info-1.4-2.fc22.x86_64                      136/141
  Verifying   : sqlite-3.8.9-1.fc22.x86_64                              137/141
  Verifying   : systemd-219-13.fc22.x86_64                              138/141
  Verifying   : systemd-libs-219-13.fc22.x86_64                         139/141
  Verifying   : tzdata-2015d-1.fc22.noarch                              140/141
  Verifying   : util-linux-2.26.2-1.fc22.x86_64                         141/141

Installed:
  elfutils-default-yama-scope.noarch 0.163-3.fc22
  python-pip.noarch 6.0.8-1.fc22
  python-setuptools.noarch 17.1.1-3.fc22

Upgraded:
  audit-libs.x86_64 2.4.4-1.fc22
  bash.x86_64 4.3.39-6.fc22
  bash-completion.noarch 1:2.1-7.20150513git1950590.fc22
  coreutils.x86_64 8.23-10.fc22
  curl.x86_64 7.40.0-5.fc22
  cyrus-sasl-lib.x86_64 2.1.26-23.fc22
  dbus.x86_64 1:1.8.20-1.fc22
  dbus-libs.x86_64 1:1.8.20-1.fc22
  dnf.noarch 1.1.0-2.fc22
  dnf-conf.noarch 1.1.0-2.fc22
  dnf-yum.noarch 1.1.0-2.fc22
  elfutils-libelf.x86_64 0.163-3.fc22
  elfutils-libs.x86_64 0.163-3.fc22
  file-libs.x86_64 5.22-4.fc22
  glibc.x86_64 2.21-7.fc22
  glibc-common.x86_64 2.21-7.fc22
  gnupg2.x86_64 2.1.7-1.fc22
  gzip.x86_64 1.6-8.fc22
  hawkey.x86_64 0.6.0-1.fc22
  kmod.x86_64 21-1.fc22
  kmod-libs.x86_64 21-1.fc22
  krb5-libs.x86_64 1.13.2-5.fc22
  libblkid.x86_64 2.26.2-3.fc22
  libcap-ng.x86_64 0.7.5-2.fc22
  libcurl.x86_64 7.40.0-5.fc22
  libdb.x86_64 5.3.28-12.fc22
  libdb-utils.x86_64 5.3.28-12.fc22
  libfdisk.x86_64 2.26.2-3.fc22
  libgcc.x86_64 5.1.1-4.fc22
  libidn.x86_64 1.32-1.fc22
  libmount.x86_64 2.26.2-3.fc22
  librepo.x86_64 1.7.16-1.fc22
  libreport-filesystem.x86_64 2.6.2-1.fc22
  libseccomp.x86_64 2.2.3-0.fc22
  libselinux.x86_64 2.3-10.fc22
  libsmartcols.x86_64 2.26.2-3.fc22
  libsolv.x86_64 0.6.11-2.fc22
  libstdc++.x86_64 5.1.1-4.fc22
  libuser.x86_64 0.62-1.fc22
  libuuid.x86_64 2.26.2-3.fc22
  nss.x86_64 3.20.0-1.0.fc22
  nss-softokn.x86_64 3.20.0-1.0.fc22
  nss-softokn-freebl.x86_64 3.20.0-1.0.fc22
  nss-sysinit.x86_64 3.20.0-1.0.fc22
  nss-tools.x86_64 3.20.0-1.0.fc22
  nss-util.x86_64 3.20.0-1.0.fc22
  openssl-libs.x86_64 1:1.0.1k-12.fc22
  p11-kit.x86_64 0.23.1-2.fc22
  p11-kit-trust.x86_64 0.23.1-2.fc22
  pam.x86_64 1.1.8-19.fc22
  pcre.x86_64 8.37-3.fc22
  pinentry.x86_64 0.9.2-1.fc22
  python.x86_64 2.7.10-4.fc22
  python-dnf.noarch 1.1.0-2.fc22
  python-hawkey.x86_64 0.6.0-1.fc22
  python-librepo.x86_64 1.7.16-1.fc22
  python-libs.x86_64 2.7.10-4.fc22
  rpm.x86_64 4.12.0.1-12.fc22
  rpm-build-libs.x86_64 4.12.0.1-12.fc22
  rpm-libs.x86_64 4.12.0.1-12.fc22
  rpm-plugin-selinux.x86_64 4.12.0.1-12.fc22
  rpm-plugin-systemd-inhibit.x86_64 4.12.0.1-12.fc22
  rpm-python.x86_64 4.12.0.1-12.fc22
  shared-mime-info.x86_64 1.4-6.fc22
  sqlite.x86_64 3.8.10.2-1.fc22
  systemd.x86_64 219-21.fc22
  systemd-libs.x86_64 219-21.fc22
  tzdata.noarch 2015f-1.fc22
  util-linux.x86_64 2.26.2-3.fc22

Complete!
Cleaning repos: fedora updates
Cleaning up Everything
ApplyLayer exit status 1 stdout:  stderr: link / /usr/lib/python2.7/site-packages/_markerlib/__init__.pyc: operation not permitted

Comment 2 Daniel Walsh 2015-08-29 13:25:11 UTC
Is this with an OverlayFS back end?

Comment 3 Adam Miller 2015-09-01 19:52:04 UTC
No, this is with the terrible loopback thing.

Comment 4 Tomas Tomecek 2015-09-03 07:25:13 UTC
`docker version` and `docker info` would be helpful. Do you have SELinux in enforcing mode?

Comment 5 Daniel Walsh 2015-10-28 17:36:38 UTC
No update in two months.  Closing for lack of info.


Note You need to log in before you can comment on or make changes to this bug.